VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "GetClientRect"
   ClientHeight    =   4440
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   7680
   LinkTopic       =   "Form1"
   ScaleHeight     =   4440
   ScaleWidth      =   7680
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox pictureWindow4 
      Height          =   1815
      Left            =   3720
      ScaleHeight     =   1755
      ScaleWidth      =   3795
      TabIndex        =   3
      Top             =   2400
      Width           =   3855
   End
   Begin VB.PictureBox pictureWindow3 
      Height          =   1815
      Left            =   120
      ScaleHeight     =   1755
      ScaleWidth      =   3075
      TabIndex        =   2
      Top             =   2400
      Width           =   3135
   End
   Begin VB.PictureBox PictureWindow2 
      Height          =   2055
      Left            =   3600
      ScaleHeight     =   1995
      ScaleWidth      =   3795
      TabIndex        =   1
      Top             =   120
      Width           =   3855
   End
   Begin VB.PictureBox pictureWindow1 
      Height          =   2055
      Left            =   120
      ScaleHeight     =   1995
      ScaleWidth      =   3195
      TabIndex        =   0
      Top             =   120
      Width           =   3255
   End
   Begin VB.Menu mnuFile 
      Caption         =   "File"
      Begin VB.Menu mnuOptions 
         Caption         =   "options"
         Begin VB.Menu mnuFlagElements 
            Caption         =   "Default"
            Index           =   0
         End
         Begin VB.Menu mnuFlagElements 
            Caption         =   "NoCopyBits"
            Index           =   1
         End
         Begin VB.Menu mnuFlagElements 
            Caption         =   "NoMove"
            Index           =   2
         End
         Begin VB.Menu mnuFlagElements 
            Caption         =   "NoRedraw"
            Index           =   3
         End
      End
      Begin VB.Menu mnuSeparator 
         Caption         =   "-"
      End
      Begin VB.Menu mnuExit 
         Caption         =   "Exit"
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim cx As Integer
Dim cy As Integer
Dim bSwitch As Boolean
Dim lFlag As Long

Private Sub Form_Load()
 cx = 0
 cy = 0
 pictureWindow3.FillColor = RGB(0, 0, 255)
 bSwitch = False
 lFlag = SWP_NOZORDER
End Sub

Private Sub Form_Resize()
    Dim myRect As RECT
    Dim lRC As Long
    Dim lHdwp As Long
    Dim nWidth As Integer
    Dim lpPoint As POINTAPI
    Dim lHDC As Long
    
    'The GetClientRect returns a structure with the left, right, bottom, and top dimensions
    
    lRC = GetClientRect(Me.hWnd, myRect)
    
    'DeferWindowPos contains a structure that contains multiple window positions.
    
    lHdwp = BeginDeferWindowPos(4)
    lRC = DeferWindowPos(lHdwp, pictureWindow1.hWnd, 0, 0, 0, (myRect.Right - myRect.Left), myRect.Bottom / 2, lFlag)
    lRC = DeferWindowPos(lHdwp, PictureWindow2.hWnd, 0, (myRect.Right - myRect.Left) / 2, 0, myRect.Right / 2, myRect.Bottom / 2, lFlag)
    
    lRC = DeferWindowPos(lHdwp, pictureWindow3.hWnd, 0, 0, myRect.Bottom / 2, (myRect.Right - myRect.Left), myRect.Bottom, lFlag)
    lRC = DeferWindowPos(lHdwp, pictureWindow4.hWnd, 0, (myRect.Right - myRect.Left) / 2, myRect.Bottom / 2, myRect.Right / 2, myRect.Bottom, lFlag)
    lRC = EndDeferWindowPos(lHdwp)
    
End Sub


Private Sub mnuExit_Click()
    End
End Sub

Private Sub mnuFlagElements_Click(Index As Integer)
    Dim i As Integer
    For i = 0 To mnuFlagElements.Count - 1
        mnuFlagElements.Item(i).Checked = False
    Next
    
    mnuFlagElements.Item(Index).Checked = True
    
    Select Case Index
    Case 0
        lFlag = 0
    Case 1
        lFlag = lFlag Or SWP_NOCOPYBITS
    Case 2
        lFlag = lFlag Or SWP_NOMOVE
    Case 3
        lFlag = lFlag Or SWP_NOREDRAW
    End Select
    
End Sub

Private Sub pictureWindow1_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Dim lHDC As Long
    Dim i As Integer
    Dim lRC As Long
    Dim cx As Integer
    Dim cy As Integer
    
    pictureWindow1.DrawWidth = 5
    
    pictureWindow1.PSet (X, Y), RGB(0, 0, 255)
    
 End Sub


Private Sub PictureWindow2_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    
    If cx = 0 Then
        cx = X
    End If
    If cy = 0 Then
        cy = Y
    End If
    
    PictureWindow2.Line (cx, cy)-(X, Y)
    
    cx = X
    cy = Y
End Sub


Private Sub pictureWindow3_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    
    If bSwitch = False Then
    pictureWindow3.FillStyle = vbSolid
    bSwitch = True
    Else
    bSwitch = False
    pictureWindow3.FillStyle = vbFSTransparent
    End If
    
    pictureWindow3.Circle (X, Y), 100, RGB(0, 255, 0)
End Sub

Private Sub pictureWindow3_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    pictureWindow3.Circle (X, Y), 100, RGB(0, 255, 0)
    
End Sub


Private Sub pictureWindow4_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)

pictureWindow4.Line (X, Y)-Step(200, 0)
pictureWindow4.Line -Step(0, 200)
pictureWindow4.Line -Step(-200, 0)
pictureWindow4.Line -Step(0, -200)

    
End Sub
